Class: Aws::BedrockAgentCoreControl::Types::GatewayTarget
- Inherits:
-
Struct
- Object
- Struct
- Aws::BedrockAgentCoreControl::Types::GatewayTarget
- Defined in:
- gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb
Overview
The gateway target.
Constant Summary collapse
- SENSITIVE =
[:name, :description]
Instance Attribute Summary collapse
-
#authorization_data ⇒ Types::AuthorizationData
OAuth2 authorization data for the gateway target.
-
#created_at ⇒ Time
The date and time at which the target was created.
-
#credential_provider_configurations ⇒ Array<Types::CredentialProviderConfiguration>
The provider configurations.
-
#description ⇒ String
The description for the gateway target.
-
#gateway_arn ⇒ String
The Amazon Resource Name (ARN) of the gateway target.
-
#last_synchronized_at ⇒ Time
The last synchronization time.
-
#metadata_configuration ⇒ Types::MetadataConfiguration
The metadata configuration for HTTP header and query parameter propagation to and from this gateway target.
-
#name ⇒ String
The name of the gateway target.
-
#private_endpoint ⇒ Types::PrivateEndpoint
The private endpoint configuration for a gateway target.
-
#private_endpoint_managed_resources ⇒ Array<Types::ManagedResourceDetails>
A list of managed resources created by the gateway for private endpoint connectivity.
-
#protocol_type ⇒ String
The protocol type of the gateway target.
-
#status ⇒ String
The status of the gateway target.
-
#status_reasons ⇒ Array<String>
The status reasons for the target status.
-
#target_configuration ⇒ Types::TargetConfiguration
The configuration for a gateway target.
-
#target_id ⇒ String
The target ID.
-
#updated_at ⇒ Time
The date and time at which the target was updated.
Instance Attribute Details
#authorization_data ⇒ Types::AuthorizationData
OAuth2 authorization data for the gateway target. This data is returned when a target is configured with a credential provider with authorization code grant type and requires user federation.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#created_at ⇒ Time
The date and time at which the target was created.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#credential_provider_configurations ⇒ Array<Types::CredentialProviderConfiguration>
The provider configurations.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#description ⇒ String
The description for the gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#gateway_arn ⇒ String
The Amazon Resource Name (ARN) of the gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#last_synchronized_at ⇒ Time
The last synchronization time.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#metadata_configuration ⇒ Types::MetadataConfiguration
The metadata configuration for HTTP header and query parameter propagation to and from this gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#name ⇒ String
The name of the gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#private_endpoint ⇒ Types::PrivateEndpoint
The private endpoint configuration for a gateway target. Defines how the gateway connects to private resources in your VPC.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#private_endpoint_managed_resources ⇒ Array<Types::ManagedResourceDetails>
A list of managed resources created by the gateway for private endpoint connectivity. These resources are created in your account when you use a managed VPC Lattice resource configuration.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#protocol_type ⇒ String
The protocol type of the gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#status ⇒ String
The status of the gateway target.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#status_reasons ⇒ Array<String>
The status reasons for the target status.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#target_configuration ⇒ Types::TargetConfiguration
The configuration for a gateway target. This structure defines how the gateway connects to and interacts with the target endpoint.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#target_id ⇒ String
The target ID.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |
#updated_at ⇒ Time
The date and time at which the target was updated.
6291 6292 6293 6294 6295 6296 6297 6298 6299 6300 6301 6302 6303 6304 6305 6306 6307 6308 6309 6310 |
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 6291 class GatewayTarget < Struct.new( :gateway_arn, :target_id, :created_at, :updated_at, :status, :status_reasons, :name, :description, :target_configuration, :credential_provider_configurations, :last_synchronized_at, :metadata_configuration, :private_endpoint, :private_endpoint_managed_resources, :authorization_data, :protocol_type) SENSITIVE = [:name, :description] include Aws::Structure end |